/*
The purpose of the DM Syntax Highlighter library is self-explanatory:
it highlights DM syntax.

Note: If you see a proc that starts with an underscore in this
library, then it is an internal proc of the library's; you don't
have to worry about it!

proc/syntax_highlight(code,full_doc = 0,title = "DM Code")

	Arguments:
		code     (a text value -- the code whose syntax will be highlighted)

		full_doc (If equal to 1, syntax_highlight() will return a full
		          HTML document -- something that can be fed straight
		          into browse(). If not, the DM code will be returned
		          alone (still inside <pre> tags, of course)

		title    (If full_doc is equal to 1, this argument, a text value,
		          determines what will go inside the document's <title>
		          tags)

The DM Syntax Highlighter library uses a file called "dm_syntax.css".
The library will automatically use that file if syntax_highlight()'s
full_doc argument is set to 1, but if not, then you must include it
yourself, putting the following line inside the <head> tags of your
HTML document:

<link rel="stylesheet" type="text/css" href="dm_syntax.css" />

Note: if full_doc is equal to 0, syntax_highlight() is meant to be
embedded into a string. If it is equal to 1, then the return value
of syntax_highlight() can "stand alone", so to speak.

If you want to edit the way that DM Syntax Highlighter highlights
syntax, you'll need to know CSS, which can be learned at a variety of
places, including http://htmldog.com and http://www.w3schools.com.
The CSS to edit, of course, would be dm_syntax.css.

Thanks to:
- Gazoot for making _dmsh_string_replace()
- YMIHere for helping me out with get_dm_keywords() and for helping me fix a nasty bug
- Lummox JR for telling me to use text2ascii() instead of copytext()
- Jon88 for pointing out bugs.
- Yota for pointing out bugs.
- DeathAwaitsU for pointing out a bug.
*/